## GESBaseTransitionClip GESBaseTransitionClip — Base classes for transitions |

## Types and Values

| GESBaseTransitionClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESBaseTransitionClip
                                ╰── GESTransitionClip

## Implemented Interfaces

GESBaseTransitionClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESBaseTransitionClip

    typedef struct _GESBaseTransitionClip GESBaseTransitionClip;